Last Comment Bug 706905 - [build failed] LDAP C SDK with pymake on windows - ldap/sdks should update to changeset 2da94bd1028c
: [build failed] LDAP C SDK with pymake on windows - ldap/sdks should update to...
Status: RESOLVED FIXED
:
Product: Thunderbird
Classification: Client Software
Component: Build Config (show other bugs)
: Trunk
: x86_64 Windows 7
: -- normal (vote)
: Thunderbird 11.0
Assigned To: Mark Banner (:standard8)
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-12-01 11:02 PST by Honza Bambas (:mayhemer)
Modified: 2011-12-20 08:31 PST (History)
2 users (show)
standard8: in‑testsuite-
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
fixed


Attachments
The fix (504 bytes, patch)
2011-12-02 02:27 PST, Mark Banner (:standard8)
mozilla: review+
standard8: approval‑comm‑aurora+
Details | Diff | Review

Description Honza Bambas (:mayhemer) 2011-12-01 11:02:55 PST
STR:
- clone comm-central
- python client.py checkout
- .mozconfig: ac_add_options --enable-application=mail 
- pymake -f client.mk build

> make.py[4]: Entering directory 'f:\mozilla\comm-central\obj-i686-pc-mingw32\mozilla\./../ldap/sdks/c-sdk'
No target specified and no default target found.

Updating ldap/sdks to 2da94bd1028c makes building work again.  Please update client.py to do this automatically.
Comment 1 Mark Banner (:standard8) 2011-12-02 02:27:43 PST
Created attachment 578527 [details] [diff] [review]
The fix

Picks up the latest revision which is just the one bug (bug 693141).
Comment 2 Mark Banner (:standard8) 2011-12-12 14:15:05 PST
Checked in: http://hg.mozilla.org/comm-central/rev/4f0da5437808
Comment 3 Jens Hatlak (:InvisibleSmiley) 2011-12-19 10:43:11 PST
Comment on attachment 578527 [details] [diff] [review]
The fix

I wonder whether we can have this for current Aurora, too. Two days from now, it'll be on Beta then and all but the release branch would have the fix enabling building with pymake. I can do the transplant myself if timing is an issue.
Comment 4 Justin Wood (:Callek) 2011-12-20 08:31:11 PST
http://hg.mozilla.org/releases/comm-aurora/rev/e2a0482484a7

Note You need to log in before you can comment on or make changes to this bug.